Skip to main content
GET
Closed positions (derivative)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string
required

Custody account number.

subAccountId
string
required

Derivative sub-account.

symbol
string

Stock symbol (empty = all).

pageNo
number<double>
required

Page number.

pageSize
number<double>
required

Page size.

Response

200 - application/json

Successful response

cmd
string

Response command name.

rc
string

Result code, 1 = success.

data
object[]

List of closed positions.

data[].symbol
string

Contract code.

data[].side
string

Transaction type (B/S).

data[].openPrice
number<double>

Average opening price.

data[].closePrice
number<double>

Average closing price.

data[].closePosition
string

Closed positions / total.

data[].fee
number<double>

Transaction fee.

data[].tax
number<double>

Tax.

data[].closeVM
number<double>

Closed P&L.

data[].unrealize
number<double>

Unrealized P&L.

data[].closePC
number<double>

Closed P&L %.

data[].time
string

Last closing time.